Get the firm's configuration controls Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/firm/{firm_uuid}/network-settings/configuration-controls

Whether the firm currently allows its direct sub-firms and its advisers to hold their own value for each network-managed setting (ENT-265). Restricted to users holding the network-configuration-overrides:read permission (Owner and Admin).

Path parameters

  • firm_uuid string Required

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • key string
      • label string
      • sub_firm_configuration_enabled boolean
      • adviser_configuration_enabled boolean
      • editable boolean
      • locked_message string
GET /api/v1/firm/{firm_uuid}/network-settings/configuration-controls
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/firm/6ff8f7f6-1eb3-3525-be4a-3932c805afed/network-settings/configuration-controls' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "key": "mandatory_firm_two_factor",
        "label": "Mandatory firm 2FA",
        "sub_firm_configuration_enabled": false,
        "adviser_configuration_enabled": false,
        "editable": true,
        "locked_message": "Mandatory firm 2FA is mandated by Network and cannot be changed for your firm."
      }
    ]
  ]
}